Skip to main content
`Ctrl`+`K`

# PetscFPTrap

types of floating point exceptions that may be trapped

## Synopsis

    typedef enum {
      PETSC_FP_TRAP_OFF      = 0,
      PETSC_FP_TRAP_INDIV    = 1,
      PETSC_FP_TRAP_FLTOPERR = 2,
      PETSC_FP_TRAP_FLTOVF   = 4,
      PETSC_FP_TRAP_FLTUND   = 8,
      PETSC_FP_TRAP_FLTDIV   = 16,
      PETSC_FP_TRAP_FLTINEX  = 32,
      PETSC_FP_TRAP_ON       = 63
    } PetscFPTrap;

Currently only `PETSC_FP_TRAP_OFF` and `PETSC_FP_TRAP_ON` are handled. All others are treated as `PETSC_FP_TRAP_ON`.

## See Also

`PetscSetFPTrap()`, `PetscFPTrapPush()`

## Level

intermediate

## Location

include/petscerror.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages